Package com.tietoenator.trip.jxp.pool

# Class TdbTripNetConnectionPool

java.lang.Object
com.tietoenator.trip.jxp.pool.TdbConnectionPool
com.tietoenator.trip.jxp.pool.TdbTripNetConnectionPool

public class TdbTripNetConnectionPool extends TdbConnectionPool
Connection pool for TRIPnet sessions

- ## Field Summary

  ### Fields inherited from class com.tietoenator.trip.jxp.pool.TdbConnectionPool

  `INFINITE_TIMEOUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbTripNetConnectionPool(String server, int port, String inifile, int timeout, String username, String password, TdbLanguage lang, int stepping)`
  Constructor -- setup the session pool with full TRIPnet parameters
  `TdbTripNetConnectionPool(String server, int port, String username, String password, TdbLanguage lang, int stepping)`
  Constructor -- setup the session pool with minimal TRIPnet parameters

- ## Method Summary

  ### Methods inherited from class com.tietoenator.trip.jxp.pool.TdbConnectionPool

  `acquire, acquire, close, getActivityLog, getIdleTimeout, getIsolateSessions, getLimit, getMinIdle, getPoolInitializer, getPurgeInterval, getRestoreDelay, getRestoreRetries, getSize, isClosed, reserve, setActivityLog, setIdleTimeout, setIsolateSessions, setLimit, setMinIdle, setPoolInitializer, setPurgeInterval, setRestoreDelay, setRestoreRetries`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbTripNetConnectionPool

    public TdbTripNetConnectionPool(String server, int port, String username, String password, TdbLanguage lang, int stepping) throws TdbException
    Constructor -- setup the session pool with minimal TRIPnet parameters
    Parameters:
      `server` - The name or IP address of the TRIPnet server
      `port` - The port number on which the TRIPserver is running
      `username` - The name of the user that every session in this pool will adopt
      `password` - The password of the user that every session in this pool will adopt
      `lang` - CCL dialect to use within the pool
      `stepping` - The stepping of the pool, i.e. how many sessions will be created at a time
    Throws:
      `TdbException`

  - ### TdbTripNetConnectionPool

    public TdbTripNetConnectionPool(String server, int port, String inifile, int timeout, String username, String password, TdbLanguage lang, int stepping) throws TdbException
    Constructor -- setup the session pool with full TRIPnet parameters
    Parameters:
      `server` - The name or IP address of the TRIPnet server
      `port` - The port number on which the TRIPserver is running
      `inifile` - The name of a host initialization file run for each session
      `timeout` - The timeout (in ms) for each session
      `username` - The name of the user that every session in this pool will adopt
      `password` - The password of the user that every session in this pool will adopt
      `lang` - CCL dialect to use within the pool
      `stepping` - The stepping of the pool, i.e. how many sessions will be created at a time
    Throws:
      `TdbException`